🚀 Digital ID portal is now live! Check out the overview to get started.
🚀 Digital ID portal is now live! Check out the overview to get started.
Send data to complete a task in a customer’s journey. See the submit data guide for details.
curl --request POST \
--url https://eu.platform.go.gbgplc.com/captain/api/journey/task/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intent": "Complete",
"instanceId": "PiIbYsgiHp4R8JPz2vU5Y9l4",
"taskId": "Tkob6dMMHp4R8JPz2vU5Y9l4",
"context": {
"subject": {
"identity": {
"currentAddress": {
"country": "GBR",
"postalCode": "BA133BN",
"locality": "Westbury",
"thoroughfare": "High Street",
"building": "4",
"administrativeArea": "Wilts"
},
"dateOfBirth": "1967-01-01",
"firstName": "pari",
"middleNames": [
"c"
],
"lastNames": [
"powell"
]
}
}
}
}
'{
"instanceId": "<string>",
"taskId": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.go.gbgplc.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The intent of the request.
"Complete"
Unique identifier for the active journey instance.
"PiIbYsgiHp4R8JPz2vU5Y9l4"
Unique identifier for the task being updated.
"Tkob6dMMHp4R8JPz2vU5Y9l4"
The data required to complete the task.
Show child attributes
Was this page helpful?
curl --request POST \
--url https://eu.platform.go.gbgplc.com/captain/api/journey/task/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intent": "Complete",
"instanceId": "PiIbYsgiHp4R8JPz2vU5Y9l4",
"taskId": "Tkob6dMMHp4R8JPz2vU5Y9l4",
"context": {
"subject": {
"identity": {
"currentAddress": {
"country": "GBR",
"postalCode": "BA133BN",
"locality": "Westbury",
"thoroughfare": "High Street",
"building": "4",
"administrativeArea": "Wilts"
},
"dateOfBirth": "1967-01-01",
"firstName": "pari",
"middleNames": [
"c"
],
"lastNames": [
"powell"
]
}
}
}
}
'{
"instanceId": "<string>",
"taskId": "<string>"
}